Browse Source

env: add upper version constraint for pytest to keep compatibility with python3.5

https://github.com/fphammerle/ical2vdir/pull/26/commits/e28ca1ced412e23083e7adc8d9a936a521c07e88
Fabian Peter Hammerle 9 months ago
parent
commit
8227dfe8bd
2 changed files with 4 additions and 2 deletions
  1. 3 1
      Pipfile
  2. 1 1
      Pipfile.lock

+ 3 - 1
Pipfile

@@ -13,7 +13,7 @@ black = {version = "==20.8b1", markers = "python_version >= '3.6'"}
 mypy = "*"
 pylint = "*"
 pylint-import-requirements = "*"
-pytest = "*"
+#pytest = "*"
 pytest-cov = "*"
 
 # python3.5 compatibility
@@ -22,6 +22,8 @@ importlib-metadata = "<3"
 isort = "<5"
 # workaround https://github.com/pytest-dev/pytest/issues/3953
 pathlib2 = {version = "*", markers="python_version < '3.6'"}
+# https://github.com/pytest-dev/pytest/commit/179f4326df2b644f0ab73f78e4770dafcbdcd89f#diff-fa602a8a75dc9dcc92261bac5f533c2a85e34fcceaff63b3a3a81d9acde2fc52R52
+pytest = "<6.2"
 # https://github.com/jaraco/zipp/commit/05a3c52b4d41690e0471a2e283cffb500dc0329a
 zipp = "<2"
 

+ 1 - 1
Pipfile.lock

@@ -1,7 +1,7 @@
 {
     "_meta": {
         "hash": {
-            "sha256": "530f4948a5691a4897574e96757e6675860d515b5a4b6f520d3f2d0735098da5"
+            "sha256": "f09e2a499055929044656ad11d358ee284e090a74414f44985d40daa34929c44"
         },
         "pipfile-spec": 6,
         "requires": {